summaryrefslogtreecommitdiff
path: root/Meta/build-image-limine.sh
diff options
context:
space:
mode:
authorTim Schumacher <timschumi@gmx.de>2022-10-16 21:46:42 +0200
committerLinus Groh <mail@linusgroh.de>2022-10-16 23:39:45 +0200
commit2a4f81fc8374354e9109333894eef0ca4f1046de (patch)
tree5223ef140b3029155c891cb7747a8642b60ba50c /Meta/build-image-limine.sh
parent9d6c4c51379b2561ebc72db9ba32576004604275 (diff)
downloadserenity-2a4f81fc8374354e9109333894eef0ca4f1046de.zip
Meta: Start moving common shell definitions into a common file
Diffstat (limited to 'Meta/build-image-limine.sh')
-rwxr-xr-xMeta/build-image-limine.sh12
1 files changed, 2 insertions, 10 deletions
diff --git a/Meta/build-image-limine.sh b/Meta/build-image-limine.sh
index b4c2ac8c3c..94787a2740 100755
--- a/Meta/build-image-limine.sh
+++ b/Meta/build-image-limine.sh
@@ -2,16 +2,9 @@
set -e
-SUDO="sudo"
+script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
-if [ "$(uname -s)" = "SerenityOS" ]; then
- SUDO="pls"
-fi
-
-die() {
- echo "die: $*"
- exit 1
-}
+. "${script_path}/.shell_include.sh"
if [ ! -d "limine" ]; then
echo "limine not found, the script will now build it"
@@ -102,7 +95,6 @@ mkdir -p mnt
mount "${dev}p2" mnt || die "couldn't mount root filesystem"
echo "done"
-script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
"$script_path/build-root-filesystem.sh"
echo "installing limine"